/* $Id: openmp1.c 854 2006-06-22 08:54:10Z olau $ */

#include <stdio.h>
#include <omp.h>
#include "ompdefs.h"

int main(int argc, char *argv[])
{
  printf("Anzahl der Prozessoren: %d\n",
	 omp_get_num_procs());
#pragma omp parallel
  {
    printf("Dies ist Thread %3d von %3d\n",
	   omp_get_thread_num(),
	   omp_get_num_threads());
  } /* end pragma omp parallel */
  printf("Fertig.\n");
  return 0;
}
